"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Accordion = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const classNames_1 = require("../../utils/classNames");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const faChevronDown_1 = require("@fortawesome/pro-regular-svg-icons/faChevronDown");
const faChevronDown_2 = require("@fortawesome/pro-solid-svg-icons/faChevronDown");
const react_2 = require("@carbon/react");
const Accordion = ({ title, children, className, initialState = false, skeletonLoading, disabled, dataTestid, id, }) => {
    const [isOpen, setIsOpen] = react_1.default.useState(initialState);
    const [contentHeight, setContentHeight] = react_1.default.useState(0);
    const classes = (0, classNames_1.classNames)('bas accordion', className, isOpen && 'open', disabled && 'disableAccordion');
    (0, react_1.useEffect)(() => {
        const content = document.querySelector('.content-inner');
        setContentHeight((content === null || content === void 0 ? void 0 : content.clientHeight) || 0);
    }, [children]);
    if (skeletonLoading) {
        return ((0, jsx_runtime_1.jsxs)("div", { className: "skeletonAccordion", id: id, "data-testid": dataTestid, children: [(0, jsx_runtime_1.jsx)(react_2.SkeletonText, {}), (0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { icon: faChevronDown_1.faChevronDown, className: "regular" })] }));
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: classes, id: id, "data-testid": dataTestid, children: [(0, jsx_runtime_1.jsxs)("button", { onClick: () => setIsOpen(!isOpen), disabled: disabled, children: [(0, jsx_runtime_1.jsx)("span", { children: title }), (0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { icon: faChevronDown_2.faChevronDown, className: "solid" }), (0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { icon: faChevronDown_1.faChevronDown, className: "regular" })] }), (0, jsx_runtime_1.jsx)("div", { className: 'content', style: { maxHeight: isOpen ? contentHeight : 0 }, children: (0, jsx_runtime_1.jsx)("div", { className: "content-inner", children: children }) })] }));
};
exports.Accordion = Accordion;
//# sourceMappingURL=Accordion.js.map