import React, { DetailedHTMLProps, ReactNode } from 'react';
type HtmlButtonProps = DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>;
export interface ButtonProps extends Omit<HtmlButtonProps, 'type'> {
    label?: string;
    color?: 'primary' | 'secondary';
    type?: 'filled' | 'outlined' | 'ghost';
    size?: 'sm' | 'md' | 'lg' | 'xl' | '2xl';
    borderRadius?: 'minimal' | 'rounded' | 'full';
    iconPosition?: 'left' | 'right';
    loading?: boolean;
    icon?: ReactNode;
    children?: ReactNode;
    dataTestId?: string;
    skeletonLoading?: boolean;
}
export declare const Button: ({ label, color, type, size, borderRadius, iconPosition, disabled, loading, icon: IconComponent, className, children, id, dataTestId, skeletonLoading, onClick, }: ButtonProps) => JSX.Element;
export {};
