"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Card = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classNames_1 = require("../../utils/classNames");
const Card = ({ title, children, className, variant = 'primary', showHeader = true, showFooter = false, }) => {
    const classes = (0, classNames_1.classNames)('bas card', className);
    const headerClasses = (0, classNames_1.classNames)('header', variant);
    const footerClasses = (0, classNames_1.classNames)('footer', variant);
    const contentClasses = (0, classNames_1.classNames)('content', showHeader ? 'hasHeader' : '', showFooter && !showHeader ? 'hasFooter' : '');
    return ((0, jsx_runtime_1.jsxs)("div", { className: classes, children: [showHeader && (0, jsx_runtime_1.jsx)("div", { className: headerClasses, children: title }), (0, jsx_runtime_1.jsx)("div", { className: contentClasses, children: children }), showFooter && !showHeader && ((0, jsx_runtime_1.jsx)("div", { className: footerClasses, children: title }))] }));
};
exports.Card = Card;
//# sourceMappingURL=Card.js.map