import React, { DetailedHTMLProps, ReactNode } from 'react';
type HtmlInputProps = DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
export interface CheckboxProps extends Omit<HtmlInputProps, 'onChange'> {
    children?: ReactNode;
    labelText?: string;
    feedbackText?: string;
    helperText?: string;
    hideLabel?: boolean;
    indeterminate?: boolean;
    invalidText?: string;
    id: string;
    warnText?: string;
    defaultChecked?: boolean;
    readOnly?: boolean;
    skeletonLoading?: boolean;
    state: 'valid' | 'invalid' | 'warn';
    dataTestid?: string;
}
export declare const Checkbox: ({ checked, className, dataTestid, defaultChecked, disabled, feedbackText, helperText, hideLabel, id, indeterminate, labelText, readOnly, skeletonLoading, state, }: CheckboxProps) => JSX.Element;
export {};
