import React, { DetailedHTMLProps, MouseEventHandler } from 'react';
type HtmlDivProps = DetailedHTMLProps<React.InputHTMLAttributes<HTMLDivElement>, HTMLDivElement>;
export interface ContentCardProps extends HtmlDivProps {
    shape: 'square' | 'horizontal' | 'vertical';
    title?: string;
    subtitle?: string;
    subtext?: string;
    hasButton?: boolean;
    button?: {
        link?: string;
        onClick?: MouseEventHandler;
        label: string;
    };
    image?: React.ReactNode;
    dataTestid?: string;
}
export declare const ContentCard: ({ shape, image, title, subtitle, subtext, hasButton, button, id, dataTestid, }: ContentCardProps) => import("react/jsx-runtime").JSX.Element;
export {};
