"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatePicker = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@carbon/react");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const pro_regular_svg_icons_1 = require("@fortawesome/pro-regular-svg-icons");
const classNames_1 = require("../../utils/classNames");
const DatePicker = ({ disabled = false, className, skeletonLoading, dataTestid, id, datePickerType = 'single', labelText = '', }) => {
    const datePickerSwitcher = () => {
        let customStyle;
        if (labelText.length > 0)
            customStyle = 'extra';
        if (datePickerType === 'single') {
            return ((0, jsx_runtime_1.jsxs)("div", { className: (0, classNames_1.classNames)('bas datePicker', className), children: [(0, jsx_runtime_1.jsx)(react_1.DatePicker, { datePickerType: "single", id: id, "data-testid": dataTestid, children: (0, jsx_runtime_1.jsx)(react_1.DatePickerInput, { disabled: disabled, placeholder: "mm/dd/yyyy", labelText: labelText, id: "date-picker-single", size: "md" }) }), (0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { className: (0, classNames_1.classNames)('valid-icon', customStyle, disabled && 'disabled'), size: "sm", icon: pro_regular_svg_icons_1.faCalendar })] }));
        }
        return ((0, jsx_runtime_1.jsxs)("div", { className: (0, classNames_1.classNames)('bas date-picker-range', className, customStyle), children: [(0, jsx_runtime_1.jsxs)(react_1.DatePicker, { className: "bas datePicker", datePickerType: "range", id: id, "data-testid": dataTestid, children: [(0, jsx_runtime_1.jsx)(react_1.DatePickerInput, { disabled: disabled, id: "date-picker-input-id-start", placeholder: "mm/dd/yyyy", labelText: labelText, size: "md" }), (0, jsx_runtime_1.jsx)(react_1.DatePickerInput, { disabled: disabled, id: "date-picker-input-id-finish", placeholder: "mm/dd/yyyy", labelText: "", size: "md" })] }), (0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { className: (0, classNames_1.classNames)('valid-icon-range', customStyle, disabled && 'disabled'), size: "sm", icon: pro_regular_svg_icons_1.faCalendar })] }));
    };
    if (skeletonLoading)
        return ((0, jsx_runtime_1.jsx)(react_1.DatePickerSkeleton, { range: datePickerType === 'range' ? true : false }));
    return datePickerSwitcher();
};
exports.DatePicker = DatePicker;
//# sourceMappingURL=DatePicker.js.map