import React, { DetailedHTMLProps } from 'react';
type HtmlDropdownProps = DetailedHTMLProps<React.SelectHTMLAttributes<HTMLSelectElement>, HTMLSelectElement>;
interface Item {
    [key: string]: string | number;
}
export interface DropdownProps extends HtmlDropdownProps {
    dataTestid?: string;
    helperText?: string;
    titleText?: string;
    label: string;
    items: Item[];
    initialSelectedItem: Item;
    invalid?: boolean;
    invalidText?: string;
    skeletonLoading?: boolean;
    multiSelect?: boolean;
    onChange: () => void;
}
export declare const Dropdown: ({ className, dataTestid, id, label, items, initialSelectedItem, helperText, titleText, onChange, invalid, invalidText, skeletonLoading, disabled, multiSelect, }: DropdownProps) => JSX.Element;
export {};
