import { ReactNode, DetailedHTMLProps } from 'react';
type HtmlModal = DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
interface ModalButtonProps {
    buttonText: string;
    onClick: () => void;
}
interface ModalProps extends HtmlModal {
    show: boolean;
    children: ReactNode;
    size?: 'xs' | 'sm' | 'md' | 'lg';
    title: string;
    hasScrollingContent?: boolean;
    preventCloseOnClickOutside?: boolean;
    buttons?: ModalButtonProps[];
    primaryButtonDisabled?: boolean;
    onClose: () => void;
    dataTestid?: string;
}
export declare const Modal: ({ show, size, title, children, className, hasScrollingContent, preventCloseOnClickOutside, buttons, primaryButtonDisabled, onClose, id, dataTestid, }: ModalProps) => JSX.Element;
export {};
