"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Modal = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classNames_1 = require("../../utils/classNames");
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore: @carbon/react has no exported member 'ContainedList'
const react_1 = require("@carbon/react");
const Modal = ({ show, size = 'md', title = 'Modal', children, className, hasScrollingContent = false, preventCloseOnClickOutside = false, buttons = undefined, primaryButtonDisabled = false, onClose, id, dataTestid, }) => {
    const classes = (0, classNames_1.classNames)('bas modal', !hasScrollingContent && 'no-scroll', className);
    const primaryButton = !!buttons && buttons.length > 0 ? buttons[0] : null;
    const secondaryButton = !!buttons && buttons.length === 2 ? buttons[1] : null;
    const secondaryButtons = !!buttons && buttons.length > 2
        ? buttons === null || buttons === void 0 ? void 0 : buttons.filter((item, index) => index > 0)
        : null;
    return ((0, jsx_runtime_1.jsx)(react_1.Modal, { id: id, "data-testid": dataTestid, open: show, modalHeading: title, className: classes, size: size, passiveModal: !buttons, preventCloseOnClickOutside: preventCloseOnClickOutside, primaryButtonDisabled: primaryButtonDisabled, primaryButtonText: primaryButton === null || primaryButton === void 0 ? void 0 : primaryButton.buttonText, onRequestSubmit: (primaryButton === null || primaryButton === void 0 ? void 0 : primaryButton.onClick) || undefined, secondaryButtons: secondaryButtons, onRequestClose: onClose, secondaryButtonText: secondaryButton === null || secondaryButton === void 0 ? void 0 : secondaryButton.buttonText, onSecondarySubmit: (secondaryButton === null || secondaryButton === void 0 ? void 0 : secondaryButton.onClick) || undefined, children: children }));
};
exports.Modal = Modal;
//# sourceMappingURL=Modal.js.map