"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Radio = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@carbon/react");
const classNames_1 = require("../../utils/classNames");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const pro_solid_svg_icons_1 = require("@fortawesome/pro-solid-svg-icons");
const Radio = ({ className, dataTestid, labelTitle, name, options, disabled, skeletonLoading, onChange, onClick, warn, invalid, invalidText, warnText, }) => {
    const classes = (0, classNames_1.classNames)('bas radio', className, skeletonLoading && 'skeleltonRadioWrapper', disabled && 'radioDisabled', invalid && 'invalidRadio', warn && 'warnRadio');
    const renderWarnIcon = () => {
        return ((0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { className: "faExclamationTriangle", size: "sm", icon: pro_solid_svg_icons_1.faExclamationTriangle }));
    };
    const renderRadioButton = () => {
        return options.map((option) => ((0, jsx_runtime_1.jsx)(react_1.RadioButton, { labelText: option.labelText, value: option.value, id: option.id, onChange: onChange, onClick: onClick })));
    };
    if (skeletonLoading) {
        return ((0, jsx_runtime_1.jsxs)("div", { className: classes, children: [(0, jsx_runtime_1.jsx)(react_1.RadioButtonSkeleton, { className: "radioTextSkeleton" }), (0, jsx_runtime_1.jsx)(react_1.RadioButtonSkeleton, { className: "radioButtonSkeleton" })] }));
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: classes, children: [warn && renderWarnIcon(), (0, jsx_runtime_1.jsx)(react_1.RadioButtonGroup, { "data-testid": dataTestid, legendText: labelTitle, name: name, disabled: disabled, warn: warn, invalid: invalid, warnText: warnText, invalidText: invalidText, children: renderRadioButton() })] }));
};
exports.Radio = Radio;
//# sourceMappingURL=Radio.js.map