"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore: @carbon/react has no exported member 'Slider'
const react_1 = require("@carbon/react");
const classNames_1 = require("../../utils/classNames");
const Slider = ({ className, dataTestid, id = '', disabled, labelText, skeletonLoading, max = 100, min = 0, step = 2, stepMultiplier = 2, value = 0, onChange, onClick, onBlur, }) => {
    const classes = (0, classNames_1.classNames)('bas slider', className);
    if (skeletonLoading)
        return (0, jsx_runtime_1.jsx)(react_1.SliderSkeleton, { className: "bas skeletonSlider" });
    const addClass = () => {
        const element = document.getElementById('-input-for-slider');
        if (element) {
            element.classList.add('borderColor');
        }
    };
    const removeClass = () => {
        const element = document.getElementById('-input-for-slider');
        if (element) {
            element.classList.remove('borderColor');
        }
    };
    const handleOnchange = () => {
        addClass();
        onChange();
    };
    const handleOnclick = () => {
        addClass();
        onClick();
    };
    const handleOnblur = () => {
        removeClass();
        onBlur();
    };
    return ((0, jsx_runtime_1.jsx)(react_1.Slider, { id: id, "data-testid": dataTestid, disabled: disabled, className: classes, labelText: labelText, max: max, min: min, step: step, stepMultiplier: stepMultiplier, value: value, onChange: handleOnchange, onClick: handleOnclick, onBlur: handleOnblur }));
};
exports.Slider = Slider;
//# sourceMappingURL=Slider.js.map