import React, { DetailedHTMLProps } from 'react';
type HtmlTextAreaProps = DetailedHTMLProps<React.InputHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>;
interface TextAreaProps extends HtmlTextAreaProps {
    value?: string;
    defaultValue?: string;
    enableCounter?: boolean;
    helperText?: string;
    hideLabel?: boolean;
    labelText?: string;
    maxCount?: number;
    onChange?: () => void;
    onClick?: () => void;
    readOnly?: boolean;
    rows?: number;
    state?: 'valid' | 'invalid' | 'warning';
    feedbackText?: string;
    dataTestid?: string;
    skeletonLoading?: boolean;
}
export declare const TextArea: ({ value, disabled, defaultValue, enableCounter, helperText, hideLabel, labelText, maxCount, onChange, onClick, placeholder, readOnly, rows, state, feedbackText, dataTestid, skeletonLoading, id, className, }: TextAreaProps) => JSX.Element;
export {};
