"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextArea = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classNames_1 = require("../../utils/classNames");
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore: @carbon/react has no exported member 'TextAreaSkeleton'
const react_1 = require("@carbon/react");
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore: @carbon/react has no exported member 'TextArea'
const react_2 = require("@carbon/react");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const pro_solid_svg_icons_1 = require("@fortawesome/pro-solid-svg-icons");
const TextArea = ({ value, disabled, defaultValue, enableCounter = false, helperText, hideLabel = false, labelText = '', maxCount = 500, onChange, onClick, placeholder, readOnly = false, rows = 4, state, feedbackText = '', dataTestid, skeletonLoading, id, className, }) => {
    const classes = (0, classNames_1.classNames)(className);
    if (skeletonLoading) {
        return (0, jsx_runtime_1.jsx)(react_1.TextAreaSkeleton, {});
    }
    const iconSwitcher = () => {
        const customStyle = labelText.length > 0 ? 'extra' : '';
        switch (state) {
            case 'invalid':
                return ((0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { className: (0, classNames_1.classNames)('invalid-icon', customStyle), size: "sm", icon: pro_solid_svg_icons_1.faCircleExclamation }));
            case 'warning':
                return ((0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { className: (0, classNames_1.classNames)('warn-icon', customStyle), size: "sm", icon: pro_solid_svg_icons_1.faExclamationTriangle }));
            case 'valid':
                return ((0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { className: (0, classNames_1.classNames)('valid-icon', customStyle), size: "sm", icon: pro_solid_svg_icons_1.faCheck }));
            default:
                break;
        }
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "bas text-area", children: [iconSwitcher(), (0, jsx_runtime_1.jsx)(react_2.TextArea, { id: id, "data-testid": dataTestid, value: value, className: classes, defaultValue: defaultValue, disabled: disabled, enableCounter: enableCounter, helperText: helperText, hideLabel: false, labelText: hideLabel ? '\u00a0' : labelText, maxCount: maxCount, onChange: onChange, onClick: onClick, placeholder: placeholder, readOnly: readOnly, rows: rows, invalid: state === 'invalid', warn: state === 'warning', invalidText: feedbackText, warnText: feedbackText })] }));
};
exports.TextArea = TextArea;
//# sourceMappingURL=TextArea.js.map